imports:
    -
        resource: services.yaml
    -
        resource: local/
    -
        resource: packages/webpack_encore.yml
pimcore:
    security:
        encoder_factories:
            App\Model\DataObject\StoreUser: app.store.security.password_encoder_factory
    config_location:
        system_settings:
            write_target:
                type: symfony-config
            read_target:
                type: symfony-config
        custom_views:
            write_target:
                type: symfony-config
        perspectives:
            write_target:
                type: symfony-config
        predefined_properties:
            write_target:
                type: symfony-config
        predefined_asset_metadata:
            write_target:
                type: symfony-config
        document_types:
            write_target:
                type: symfony-config
        image_thumbnails:
            write_target:
                type: symfony-config
        video_thumbnails:
            write_target:
                type: symfony-config
        select_options:
            write_target:
                type: symfony-config
        object_custom_layouts:
            write_target:
                type: symfony-config
    models:
        class_overrides:
            Pimcore\Model\DataObject\News: App\Model\DataObject\News
            Pimcore\Model\DataObject\News\Listing: App\Model\DataObject\News\Listing
            Pimcore\Model\DataObject\User: App\Model\DataObject\User
            Pimcore\Model\DataObject\User\Listing: App\Model\DataObject\User\Listing
            Pimcore\Model\DataObject\ContactForm: App\Model\DataObject\ContactForm
            Pimcore\Model\DataObject\ContactForm\Listing: App\Model\DataObject\ContactForm\Listing
            Pimcore\Model\DataObject\NewsletterForm: App\Model\DataObject\NewsletterForm
            Pimcore\Model\DataObject\NewsletterForm\Listing: App\Model\DataObject\NewsletterForm\Listing
pimcore_seo:
    sitemaps:
        generators:
            pimcore_documents:
                enabled: true
pimcore_static_routes:
    config_location:
        staticroutes:
            write_target:
                type: symfony-config
pimcore_custom_reports:
    config_location:
        custom_reports:
            write_target:
                type: symfony-config
